## qtwebkit-source 2.0.0

=== debian/changelog ===
qtwebkit-source (2.0.0-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Wed, 13 Apr 2011 11:24:31 -0600

qtwebkit-source (2.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Sep 2010 15:41:01 +0100

qtwebkit-source (2.0~week31-0ubuntu2) maverick; urgency=low

  * Installing the QML plugin for QtWebKit and added the package for it.

 -- Rodrigo Belem <rclbelem@gmail.com>  Thu, 09 Sep 2010 19:40:36 -0400

qtwebkit-source (2.0~week31-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 01 Sep 2010 21:00:20 +0200

qtwebkit-source (2.0~week27-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_01_phonon.diff, force it to build with phonon support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 11:25:55 +0100

qtwebkit-source (2.0~week26-2ubuntu1) maverick; urgency=low

  * Rename source package to qtwebkit-source.
  * Make libqtwebkit-dev provide/replace/conflict libqt4-webkit-dev.
  * Add versioned replaces/breaks against the libqt4-webkit* transitional
    packages.
  * Build packages with lzma compression.
  * Call dh_makeshlibs with "-V".

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Jul 2010 00:38:51 +0200

qtwebkit (2.0~week26-2) experimental; urgency=low

  * Fix FTBFS on GNU/kFreeBSD caused by missing strnstr() on glibc systems.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Jul 2010 09:51:03 +0300

qtwebkit (2.0~week26-1) experimental; urgency=low

  * Initial release (Closes: #576006)

 -- Fathi Boudra <fabo@debian.org>  Fri, 02 Jul 2010 15:37:23 +0300

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_builddeb:
	dh_builddeb -- -Z lzma

override_dh_clean:
	dh_clean
	rm -f imports/QtWebKit/libqmlwebkitplugin.so JavaScriptCore/release/libjscore.a

## qtwebkit-source 2.3.0

=== Source/WTF/wtf/CMakeLists.txt ===
SET(WTF_HEADERS
    ASCIICType.h
    AVLTree.h
    Alignment.h
    AlwaysInline.h
    Assertions.h
    Atomics.h
    BitArray.h
    BitVector.h
    Bitmap.h
    BoundsCheckedPointer.h
    BumpPointerAllocator.h
    ByteOrder.h
    Compiler.h
    Complex.h
    CryptographicallyRandomNumber.h
    CurrentTime.h
    DateMath.h
    DataLog.h
    DecimalNumber.h
    Decoder.h
    Deque.h
    DisallowCType.h
    DoublyLinkedList.h
    DynamicAnnotations.h
    Encoder.h
    FastAllocBase.h
    FastMalloc.h
    FilePrintStream.h
    FixedArray.h
    Forward.h
    GetPtr.h
    GregorianDateTime.h
    HashCountedSet.h
    HashFunctions.h
    HashIterators.h
    HashMap.h
    HashSet.h
    HashTable.h
    HashTraits.h
    HexNumber.h
    ListHashSet.h
    ListRefPtr.h
    Locker.h
    MD5.h
    MainThread.h
    MallocZoneSupport.h
    MathExtras.h
    MediaTime.h
    MemoryInstrumentation.h
    MemoryInstrumentationArrayBufferView.h
    MemoryInstrumentationHashCountedSet.h
    MemoryInstrumentationHashMap.h
    MemoryInstrumentationHashSet.h
    MemoryInstrumentationListHashSet.h
    MemoryInstrumentationParsedURL.h
    MemoryInstrumentationSequence.h
    MemoryInstrumentationString.h
    MemoryInstrumentationVector.h
    MemoryObjectInfo.h
    MessageQueue.h
    MetaAllocator.h
    MetaAllocatorHandle.h
    NonCopyingSort.h
    ThreadRestrictionVerifier.h
    Noncopyable.h
    NotFound.h
    NullPtr.h
    NumberOfCores.h
    RAMSize.h
    OSAllocator.h
    OSRandomSource.h
    OwnArrayPtr.h
    OwnPtr.h
    OwnPtrCommon.h
    PageAllocation.h
    PageAllocationAligned.h
    PageBlock.h
    PageReservation.h
    PassOwnArrayPtr.h
    PassOwnPtr.h
    PassRefPtr.h
    PassTraits.h
    ParallelJobs.h
    ParallelJobsGeneric.h
    ParallelJobsLibdispatch.h
    ParallelJobsOpenMP.h
    Platform.h
    PossiblyNull.h
    PrintStream.h
    RandomNumber.h
    RandomNumberSeed.h
    RawPointer.h
    RedBlackTree.h
    RefCounted.h
    RefCountedLeakCounter.h
    RefPtr.h
    RefPtrHashMap.h
    RetainPtr.h
    SaturatedArithmetic.h
    SegmentedVector.h
    SHA1.h
    StackBounds.h
    StaticConstructors.h
    StdLibExtras.h
    StringExtras.h
    StringHasher.h
    StringPrintStream.h
    TCPackedCache.h
    TCPageMap.h
    TCSpinLock.h
    TCSystemAlloc.h
    ThreadIdentifierDataPthreads.h
    ThreadSafeRefCounted.h
    ThreadSpecific.h
    Threading.h
    ThreadingPrimitives.h
    TypeTraits.h
    UnusedParam.h
    VMTags.h
    ValueCheck.h
    Vector.h
    VectorTraits.h
    WTFThreadData.h
    dtoa.h

    dtoa/bignum-dtoa.h
    dtoa/bignum.h
    dtoa/cached-powers.h
    dtoa/diy-fp.h
    dtoa/double-conversion.h
    dtoa/double.h
    dtoa/fast-dtoa.h
    dtoa/fixed-dtoa.h
    dtoa/strtod.h
    dtoa/utils.h

    text/AtomicString.h
    text/AtomicStringImpl.h
    text/Base64.h
    text/CString.h
    text/IntegerToStringConversion.h
    text/StringBuffer.h
    text/StringHash.h
    text/StringImpl.h
    text/WTFString.h

    threads/BinarySemaphore.h

    unicode/CharacterNames.h
    unicode/Collator.h
    unicode/UTF8.h
    unicode/Unicode.h
)

SET(WTF_SOURCES
    ArrayBuffer.cpp
    ArrayBufferView.cpp
    Assertions.cpp
    BitVector.cpp
    CryptographicallyRandomNumber.cpp
    CurrentTime.cpp
    DateMath.cpp
    DataLog.cpp
    DecimalNumber.cpp
    DynamicAnnotations.cpp
    FastMalloc.cpp
    FilePrintStream.cpp
    GregorianDateTime.cpp
    HashTable.cpp
    MD5.cpp
    MainThread.cpp
    MediaTime.cpp
    MetaAllocator.cpp
    OSRandomSource.cpp
    MemoryInstrumentation.cpp
    NumberOfCores.cpp
    RAMSize.cpp
    PageAllocationAligned.cpp
    PageBlock.cpp
    ParallelJobsGeneric.cpp
    PrintStream.cpp
    RandomNumber.cpp
    RefCountedLeakCounter.cpp
    SHA1.cpp
    StackBounds.cpp
    StringExtras.cpp
    StringPrintStream.cpp
    Threading.cpp
    TypeTraits.cpp
    WTFThreadData.cpp
    dtoa.cpp

    dtoa/bignum-dtoa.cc
    dtoa/bignum.cc
    dtoa/cached-powers.cc
    dtoa/diy-fp.cc
    dtoa/double-conversion.cc
    dtoa/fast-dtoa.cc
    dtoa/fixed-dtoa.cc
    dtoa/strtod.cc

    text/AtomicString.cpp
    text/Base64.cpp
    text/CString.cpp
    text/StringBuilder.cpp
    text/StringImpl.cpp
    text/StringStatics.cpp
    text/WTFString.cpp

    threads/BinarySemaphore.cpp

    unicode/UTF8.cpp
)

SET(WTF_INCLUDE_DIRECTORIES
    "${WTF_DIR}"
    "${WTF_DIR}/wtf"
    "${WTF_DIR}/wtf/dtoa"
    "${WTF_DIR}/wtf/threads"
    "${WTF_DIR}/wtf/unicode"
    "${THIRDPARTY_DIR}"
    "${CMAKE_BINARY_DIR}"
)

IF (NOT USE_SYSTEM_MALLOC)
    LIST(APPEND WTF_SOURCES
        TCSystemAlloc.cpp
    )
ENDIF()

WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_WRAP_SOURCELIST(${WTF_SOURCES})
INCLUDE_DIRECTORIES(${WTF_INCLUDE_DIRECTORIES})
ADD_DEFINITIONS(-DBUILDING_WTF)
ADD_LIBRARY(${WTF_LIBRARY_NAME} STATIC ${WTF_HEADERS} ${WTF_SOURCES})
TARGET_LINK_LIBRARIES(${WTF_LIBRARY_NAME} ${WTF_LIBRARIES})
SET_TARGET_PROPERTIES(${WTF_LIBRARY_NAME} PROPERTIES FOLDER "JavaScriptCore")

=== Source/WebKit/wx/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# wxWebKit build script for the waf build system

from settings import *

webkit_dirs = ['.', 'WebKitSupport']
include_paths = webkit_dirs + common_includes + ['.', '..',
                wk_root,
                os.path.join(wk_root, 'Source', 'JavaScriptCore'),
                os.path.join(wk_root, 'Source', 'WebCore'),
                os.path.join(wk_root, 'Source', 'WebCore', 'bindings', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'DerivedSources'),
                os.path.join(output_dir),
                os.path.join(wk_root, 'Source', 'WebCore', 'page', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'network', 'curl'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'bridge', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'graphics', 'wx'),
]

if sys.platform.startswith("win"):
    include_paths.append(os.path.join(wk_root, 'Source', 'WebCore','platform','win'))

windows_deps = [
                'lib/pthreadVC2.dll',
                'bin/icuuc40.dll', 'bin/icudt40.dll', 'bin/icuin40.dll',
                'bin/libcurl.dll', 'bin/libeay32.dll', 'bin/ssleay32.dll', 'bin/zlib1.dll',
                'lib/sqlite3.dll', 'bin/libxml2.dll', 'bin/libxslt.dll', 'bin/iconv.dll',
                ]

webcore_include_dirs = []
for dir in webcore_dirs + ['DerivedSources']:
    include_paths.append(os.path.join(wk_root, 'Source', 'WebCore', dir)) 

js_include_dirs = [os.path.join(wk_root, 'Source', 'JavaScriptCore', 'assembler')]
for dir in jscore_dirs:
    js_include_dirs.append(os.path.join(wk_root, 'Source', 'JavaScriptCore', dir))

def set_options(opt):
    common_set_options(opt)

def configure(conf):
    common_configure(conf)
    
def pre_build(bld):
    """
    The wxWebKit library should be rebuilt if the webcore static 
    library changes, so we mark it as a dependency.
    """
    
    ext = '.a'
    if sys.platform.startswith('win'):
        ext = '.lib'
    
    libwebcore = os.path.join(output_dir, 'libwebcore%s' % ext)
    
    assert os.path.exists(libwebcore)
    
    bld.env.CXXDEPS_WEBCORE = Utils.h_file(libwebcore)
    
def build(bld):

    import TaskGen

    if sys.platform.startswith('darwin'):
        TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cxx']
        TaskGen.task_gen.mappings['.m'] = TaskGen.task_gen.mappings['.cxx']

    bld.add_pre_fun(pre_build)

    bld.env.LIBDIR = output_dir

    obj = bld.new_task_gen(
        features = 'cxx cshlib implib',
        includes = ' '.join(include_paths + js_include_dirs),
        target = 'wxwebkit',
        defines = ['WXMAKINGDLL_WEBKIT'],
        uselib = 'WX CURL ICU XSLT XML SQLITE3 WEBCORE JSCORE ' + get_config(),
        libpath = [output_dir],
        uselib_local = '',
        install_path = output_dir)
        
    exts = ['.c', '.cpp']
    if sys.platform.startswith('darwin'):
        exts.append('.mm')
        obj.includes += '../mac/WebCoreSupport ../../Source/WebCore/platform/mac'
        obj.source = "../mac/WebCoreSupport/WebSystemInterface.mm"
    obj.find_sources_in_dirs(webkit_dirs)

    if building_on_win32:
        for wxlib in bld.env['LIB_WX']:
            wxlibname = os.path.join(bld.env['LIBPATH_WX'][0], wxlib + '_vc.dll')
            if os.path.exists(wxlibname):
                bld.install_files(obj.install_path, [wxlibname])
        
        for dep in windows_deps:
            bld.install_files(obj.install_path, [os.path.join(msvclibs_dir, dep)])

## qtwebkit-source 2.1~really2.0.2

=== debian/changelog ===
qtwebkit-source (2.1~really2.0.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Adapt 04_enable_debug_information.diff to new upstream version.
  * Add the QtDesigner qwebview plugin. (LP: #674367)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 08 Mar 2011 12:03:10 +0100

qtwebkit-source (2.1~really2.0.1-0ubuntu1) natty; urgency=low

  * Revert to package version 2.0.0-0ubuntu1. QtWebkit 2.1 is only supported
    on Symbian. (LP: #710582)
  * New upstream version 2.0.1.
  * Rename debian-changes-2.0.0-0ubuntu1 to kubuntu_01_include_files.diff and
    strip auto-generated files from the patch.
  * Use the lzma dh sequence.
  * Drop kubuntu_01_phonon.diff, pass DEFINES+=ENABLE_VIDEO to qmake instead.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 27 Feb 2011 11:53:38 +0100

qtwebkit-source (2.1~git20110120-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Trimmed off unnecessary directories to make tar a sane size
  * Don't run dh_auto_build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jan 2011 17:44:46 +0000

qtwebkit-source (2.1~git20101116-0ubuntu9) natty; urgency=low

  * Fix installation destination of qt_webkit_version.pri (LP: #681345)

 -- Rico Tzschichholz <ricotz@t-online.de>  Sat, 04 Dec 2010 21:32:53 +0100

qtwebkit-source (2.1~git20101116-0ubuntu8) natty; urgency=low

  * Install headers to right location, sigh

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Nov 2010 15:02:46 +0000

qtwebkit-source (2.1~git20101116-0ubuntu7) natty; urgency=low

  * Move headers to right directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Nov 2010 11:00:02 +0000

qtwebkit-source (2.1~git20101116-0ubuntu6) natty; urgency=low

  * Copy the correct headers into libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 15:38:10 +0000

qtwebkit-source (2.1~git20101116-0ubuntu5) natty; urgency=low

  * Really fix sed rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 12:03:59 +0000

qtwebkit-source (2.1~git20101116-0ubuntu4) natty; urgency=low

  * Fix sed rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 23:26:56 +0000

qtwebkit-source (2.1~git20101116-0ubuntu3) natty; urgency=low

  * In debian/rules run sed to fix full paths in .h files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 11:08:07 +0000

qtwebkit-source (2.1~git20101116-0ubuntu2) natty; urgency=low

  * Add flex, bison and libfontconfig1-dev build-depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Nov 2010 17:46:41 +0000

qtwebkit-source (2.1~git20101116-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Merge with Debian, remaining changes:
   - build with lzma
  * Add build-dep on qtmobility-dev
  * Build system changed to build-webkit script as documented by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Nov 2010 11:56:38 +0000

qtwebkit (2.1~week35-1) UNRELEASED; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.
  * Remove 0002_add_webkit_qt_config.patch - merged upstream.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

 -- Fathi Boudra <fabo@debian.org>  Sun, 05 Sep 2010 09:08:05 +0300

qtwebkit (2.0~week32-2) UNRELEASED; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add 0002_add_webkit_qt_config.patch to include webkit in QT_CONFIG.
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
    - add libqtwebkit-qmlwebkitplugin package.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jul 2010 13:24:07 +0300

=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), pkg-kde-tools (>= 0.6.4),
 libqt4-dev (>= 4:4.6.0), libqt4-opengl-dev (>= 4:4.6.0),
 libphonon-dev (>= 4:4.6.0), libicu-dev, libsqlite3-dev,
 libxext-dev, libxrender-dev, gperf
Standards-Version: 3.9.0
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
XS-Debian-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit4 (= ${binary:Version}),
 libqt4-dev (>= 4:4.6.0)
Replaces: libqt4-dev (<= 4:4.7.0~beta1), libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqtwebkit4-declarative (<< 2.1~git20101116-0ubuntu1)
Breaks: libqtwebkit4-declarative (<< 2.1~git20101116-0ubuntu1)
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-declarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin
Description: Qt WebKit QML plugin (dummy package)
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This is a dummy package to bring in libqtwebkit-qmlwebkitplugin, it can be
 safely removed.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit4 (= ${binary:Version})
Replaces: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper,lzma

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ENABLE_VIDEO
	dh_auto_configure --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=debian/qtdesigner-qwebview
	rm -f imports/QtWebKit/libqmlwebkitplugin.so JavaScriptCore/release/libjscore.a
	rm -rf lib

override_dh_makeshlibs:
	dh_makeshlibs -V

## qtwebkit-source 2.2~2011week36

=== debian/changelog ===
qtwebkit-source (2.2~2011week36-0ubuntu1) oneiric; urgency=low

  * New upstream release (2.2.0 RC1).
    - Drop kubuntu_fix_jit_warnings_i386.diff, applied upstream.
    - Fixes crash in amarok wikipedia applet. (LP: #846709)
  * Add Vcs-Bzr control field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Sep 2011 17:57:06 +0200

qtwebkit-source (2.2~2011week34-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #844792)
    - Drop kubuntu_gstreamer_build_fix.diff, applied upstream
    - Refresh stabs_format_debug_info.diff
    - Use WTF_USE_GSTREAMER instead of USE_GSTREAMER

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 30 Aug 2011 19:42:50 +0200

qtwebkit-source (2.2~2011week27-0ubuntu2) oneiric; urgency=low

  * Build for multiarch, required since qt4-x11 has switched over.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 00:38:53 -0700

qtwebkit-source (2.2~2011week27-0ubuntu1) oneiric; urgency=low

  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
    - Add qwebview designer plugin.
    - Drop qtmobility-dev build-dependency and disable geolocation.
    - Make libqtwebkit-dev depend on ${shlibs:Depends} as we are shipping
      the qwebview designer plugin.
  * Drop transitional package libqtwebkit4-declarative.
  * New upstream release.
  * Refresh patches.
  * Drop kubuntu_01_include_files.diff, not needed anymore.
  * Disable linux_amd64_no_overcommit.diff, fixed upstream.
  * Disable 05_sparc_unaligned_access.diff, 06_kfreebsd_strnstr.diff and
    09_hurd.diff for now, architectures not supported on Ubuntu.
  * Use the GStreamer multimedia backend.
    - Build-depend on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev.
  * Remove upstream Source/Makefile which makes dh_auto_clean fail.
  * Fix include and lib path in qtdesigner-qwebview/qwebview.pro.
  * Add README.source explaining how to create a new upstream tarball.
  * Add kubuntu_fix_jit_warnings_i386.diff to fix FTBFS on i386 due to -Werror.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 20 Jul 2011 14:43:31 +0200

qtwebkit (2.1.0~2011week13-3) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - kfreebsd-i386 kfreebsd-amd64 hurd-i386 -> !linux-any

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 21 Jun 2011 12:52:21 +0200

qtwebkit (2.1.0~2011week13-2) unstable; urgency=low

  * Add defines_qt_webkit.diff to display correctly documentation in Qt Creator
    Help plugin. (Closes: #619443)
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 12:35:00 +0300

qtwebkit (2.1.0~2011week13-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add linux_amd64_no_overcommit.diff to avoid crashes on amd64 with less than
    3 or 4GB of RAM. Thanks to Felix Geyer for his help with this issue.

  [ Fathi Boudra ]
  * Ship libqtwebkit-qmlwebkitplugin package. (Closes: #601650)
  * Drop webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Apr 2011 11:37:59 +0300

qtwebkit (2.1.0~2011week09-3) unstable; urgency=high

  * Rename 08_powerpc_s390_no_gc_sections.diff to no_gc_sections.diff and
    extend it to cover armel and mip* as well. Full list: powerpc, s390, arm*,
    mips*.
  * Really replace -g with -gstabs on s390, mips, mipsel and armel. Previously
    it used to grab -g from environment CXXFLAGS.  Hopefully this will truly
    fix OOMs when linking. (Closes: #618325)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Mar 2011 03:36:12 +0300

qtwebkit (2.1.0~2011week09-2) unstable; urgency=high

  [ Pino Toscano ]
  * Build-depend on libphonon-dev on non-Linux architectures. (Closes: #617656)

  [ Modestas Vainius ]
  * Build with -gstabs on armel (Closes: #618325). Added to the
    stabs_format_debug_info.diff patch (former
    07_s390_stabs_format_debugging_information.diff).
  * Urgency=high, transition stuff.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Mar 2011 16:12:43 +0200

qtwebkit (2.1.0~2011week09-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Add webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch to
    work around the build failure.
  * Switch to Qt MultimediaKit for the video support (instead of Phonon), build
    depends on QtMultimediaKit.
  * Enable geolocation support: build depends on QtLocation and define
    ENABLE_GEOLOCATION.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 10:05:46 +0200

qtwebkit (2.1.0~2011week03-1) experimental; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.

  [ Fathi Boudra ]
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

  [ Pino Toscano ]
  * Add patch 09_hurd.diff to fix compilation on Hurd.

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Jan 2011 18:23:41 +0200

=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15),
               gperf,
               libicu-dev,
               libphonon-dev [!linux-any],
               libqt4-dev (>= 4:4.7.0),
               libqt4-opengl-dev (>= 4:4.7.0),
               libsqlite3-dev,
               libxext-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.6.4),
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit
XS-Debian-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.7.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1), libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqtwebkit4-declarative (<< 2.1~git20101116)
Breaks: libqtwebkit4-declarative (<< 2.1~git20101116)
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 armel mips mipsel))
    export CFLAGS := $(filter-out -g,$(CFLAGS)) -gstabs
    export CXXFLAGS := $(filter-out -g,$(CXXFLAGS)) -gstabs
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	extra_configure_opts = DEFINES+=ENABLE_VIDEO=1 DEFINES+=WTF_USE_GSTREAMER=1
endif

%:
	dh $@ --buildsystem=qmake --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper,lzma

override_dh_auto_configure:
	dh_auto_configure --buildsystem=qmake --sourcedirectory=Source -- $(extra_configure_opts)
	dh_auto_configure --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_build:
	dh_auto_build --buildsystem=qmake --sourcedirectory=Source
	dh_auto_build --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_install:
	dh_auto_install --buildsystem=qmake --sourcedirectory=Source
	dh_auto_install --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_clean:
	grep -q "MODULES = JavaScriptGlue ThirdParty/ANGLE" Source/Makefile && rm Source/Makefile || :
	dh_auto_clean --buildsystem=qmake --sourcedirectory=Source
	dh_auto_clean --sourcedirectory=debian/qtdesigner-qwebview

override_dh_makeshlibs:
	dh_makeshlibs -V

## qtwebkit-source 2.2.1

=== debian/changelog ===
qtwebkit-source (2.2.1-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Compress binary packages with xz.
    - Add kubuntu_01_workaround_-Werror_deprecated-declarations.diff
  * Switch from lzma to xz compression.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 05 Aug 2012 10:15:41 +0200

qtwebkit (2.2.1-4) unstable; urgency=high

  * Confirm new symbol file on all arches except armel and mipsel. However,
    hopefully, it will work on those two as well.
  * Urgency=high because we need multi-arch capable QtWebKit in testing as
    multi-arch Qt4 and non-multiarch QtWebKit do not play well for development
    purposes.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 May 2012 12:24:37 +0300

qtwebkit (2.2.1-3) unstable; urgency=low

  * Build Source/WebCore/generated/* with hidden visibility as well (patch
    webkit_qt_hide_symbols.diff). This reduces a symbol file a lot and brings
    it back to manageable state.
  * Update symbol file: a bunch of private WebCore symbols are gone from
    symbol table now.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 20:58:34 +0300

qtwebkit (2.2.1-2) unstable; urgency=low

  * Upload to Sid.

  [ Fathi Boudra ]
  * Build with -gstabs on armhf instead of -g, like armel.

  [ Pino Toscano ]
  * glibc_mkspec.diff: rename to glibc_hurd_mkspecs.diff, and extend to
    apply also to the hurd-g++ mkspec.
  * Bump Qt build dependency to 4:4.8.1 (for the change in paths of QML
    imports).
    - update debian/libqtwebkit-qmlwebkitplugin.install accordingly
    - mark libqtwebkit-qmlwebkitplugin as Multi-Arch: same
  * Remove ${shlibs:Depends} from libqtwebkit4-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 15:07:39 +0300

qtwebkit-source (2.2.1-1ubuntu4) precise; urgency=low

  * Fix both causes of armhf build failures (LP: #945393):
    - Update symbols file to duplicate armel entries as armhf.
    - Build with -gstabs on armhf instead of -g, like armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 10 Mar 2012 20:31:31 -0700

qtwebkit-source (2.2.1-1ubuntu3) precise; urgency=low

  * Update symbols for armel (LP: #945393)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 Mar 2012 19:32:39 +0100

qtwebkit-source (2.2.1-1ubuntu2) precise; urgency=low

  * Include symbols file for powerpc

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 02 Feb 2012 05:21:31 +0000

qtwebkit-source (2.2.1-1ubuntu1) precise; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Update symbols file.

  [ Fathi Boudra ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch from upstream.
  * Add kubuntu_01_workaround_-Werror_deprecated-declarations.diff
  * Drop override_dh_makeshlibs: do not pass -c0 to dh_makeshlibs.
  * Merge from Debian:
    - drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
    - update debian/compat: bump to 9.
    - bump Qt build dependency to 4:4.8.0~.
    - drop libphonon-dev build dependency.
  * Remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
  * Update symbols file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 10 Jan 2012 11:53:46 +0200

qtwebkit (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * Drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.0~. This version introduce multiarch.
    - add Multi-Arch and Pre-Depends fields to libqtwebkit4 package.
  * Update debian/*.install files for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit-source (2.2~2011week36-1ubuntu4) precise; urgency=low

  * Re-apply changes that have been dropped in the last upload:
    - Add 0001_fix_symbols_visibility_for_webcore.diff, the patch is *not*
      upstream.
    - Pass -c0 to dpkg-gensymbols.
    - Use dh_auto_* instead of calling (q)make directly.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 23 Nov 2011 20:44:07 +0100

qtwebkit-source (2.2~2011week36-1ubuntu3) precise; urgency=low

  [ Jonathan Riddell ]
  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.

  [ Felix Geyer ]
  * Add a symbols file.
  * Add ${misc:Pre-Depends} to libqtwebkit4 Pre-Depends.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 Oct 2011 16:48:29 +0200

qtwebkit (2.2.0-5) unstable; urgency=low

  * Update symbol file with the latest changes from the build logs.
  * Mark a bunch of other internal WebCore namespace symbols as
    optional=private.
  * Mark some external symbols as optional=external.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 23:35:59 +0300

qtwebkit (2.2.0-4) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Add -Wl,--no-relax to the LDFLAGS on alpha. (Closes: #656056)
  * Update the symbols file for alpha, armhf and ppc64, and for all the other
    archs from their build logs. (Closes: #653905, #656056, #664897)
  * Backport (parts of) upstream r93631 and r113848 to fix building with
    GCC 4.7. (Closes: #667346)

  [ Felix Geyer ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch, cherry-picked from
    upstream. (Closes: #665679)
  * Bump debhelper compat level to v9.
    - Use DEB_<flag>_MAINT variables instead of manipulating the flag variables
      directly.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Mark symbols having 'Private' in their name as optional=private.
  * Mark '^ _ZN7WebCore' symbols as optional=private. They are not part of
    public API.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 21:16:49 +0300

qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.


=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9),
               gperf,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libicu-dev,
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libsqlite3-dev,
               libxext-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.3
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit
XS-Debian-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.8.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}
Replaces: libqt4-webkit-dbg (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

QWEBVIEW_DIR=debian/plugins/qwebview

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

%:
	dh $@ --sourcedirectory=Source --buildsystem=qmake --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper,xz

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ENABLE_VIDEO=1 DEFINES+=WTF_USE_GSTREAMER=1
	dh_auto_configure --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_clean:
	rm -f Source/Makefile
	dh_auto_clean
	dh_auto_clean --sourcedirectory=$(QWEBVIEW_DIR)
